
def parse(filename: str) -> list:
    with open(filename, 'r') as f:
        return [line[:-1] for line in f.readlines()]
    
def split(parsed: list[str]) -> tuple[list[int], list[int]]:
    l1 = []
    l2 = []
    for line in parsed:
        c1, c2 = line.split("  ")
        l1.append(int(c1))
        l2.append(int(c2))
    return l1, l2

def split_and_sort(parsed: list[str]) -> tuple[list[int], list[int]]:
    l1, l2 = split(parsed)
    return sorted(l1), sorted(l2)